complete -c yr -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c yr -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c yr -n "__fish_use_subcommand" -f -a "scan" -d 'Scan a file or directory'
complete -c yr -n "__fish_use_subcommand" -f -a "compile" -d 'Compile rules to binary form'
complete -c yr -n "__fish_use_subcommand" -f -a "check" -d 'Check if source files are syntactically correct'
complete -c yr -n "__fish_use_subcommand" -f -a "debug" -d 'Debug utilities'
complete -c yr -n "__fish_use_subcommand" -f -a "dump" -d 'Show the data produced by YARA modules for a file'
complete -c yr -n "__fish_use_subcommand" -f -a "fmt" -d 'Format YARA source files'
complete -c yr -n "__fish_use_subcommand" -f -a "fix" -d 'Utilities for fixing source code'
complete -c yr -n "__fish_use_subcommand" -f -a "completion" -d 'Output shell completion code for the specified shell'
complete -c yr -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from scan" -l print-strings-limit -d 'Print matching patterns, limited to the first N bytes' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s z -l skip-larger -d 'Skip files larger than the given size' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s p -l threads -d 'Use the given number of threads' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s a -l timeout -d 'Abort scanning after the given number of seconds' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s w -l disable-warnings -d 'Disable warnings' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s d -l define -d 'Define external variable' -r
complete -c yr -n "__fish_seen_subcommand_from scan" -s e -l print-namespace -d 'Print rule namespace'
complete -c yr -n "__fish_seen_subcommand_from scan" -s s -l print-strings -d 'Print matching patterns, limited to the first 120 bytes'
complete -c yr -n "__fish_seen_subcommand_from scan" -l disable-console-logs -d 'Disable printing console log messages'
complete -c yr -n "__fish_seen_subcommand_from scan" -s n -l negate -d 'Print non-satisfied rules only'
complete -c yr -n "__fish_seen_subcommand_from scan" -l path-as-namespace -d 'Use file path as rule namespace'
complete -c yr -n "__fish_seen_subcommand_from scan" -s C -l compiled-rules -d 'Indicate that RULES_PATH is a file with compiled rules'
complete -c yr -n "__fish_seen_subcommand_from scan" -l scan-list -d 'Indicate that TARGET_PATH is a file containing the paths to be scanned'
complete -c yr -n "__fish_seen_subcommand_from scan" -l relaxed-re-syntax -d 'Use a more relaxed syntax check while parsing regular expressions'
complete -c yr -n "__fish_seen_subcommand_from scan" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from compile" -s o -l output -d 'Output file with compiled results' -r -F
complete -c yr -n "__fish_seen_subcommand_from compile" -s d -l define -d 'Define external variable' -r
complete -c yr -n "__fish_seen_subcommand_from compile" -s w -l disable-warnings -d 'Disable warnings' -r
complete -c yr -n "__fish_seen_subcommand_from compile" -l path-as-namespace -d 'Use file path as rule namespace'
complete -c yr -n "__fish_seen_subcommand_from compile" -l relaxed-re-syntax -d 'Use a more relaxed syntax check while parsing regular expressions'
complete -c yr -n "__fish_seen_subcommand_from compile" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from check" -s d -l max-depth -d 'Walk directories recursively up to a given depth' -r
complete -c yr -n "__fish_seen_subcommand_from check" -s f -l filter -d 'Check files that match the given pattern only' -r
complete -c yr -n "__fish_seen_subcommand_from check" -s p -l threads -d 'Use the given number of threads' -r
complete -c yr -n "__fish_seen_subcommand_from check" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from ast wasm help" -s h -l help -d 'Print help'
complete -c yr -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from ast wasm help" -f -a "ast" -d 'Print Abstract Syntax Tree (AST) for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from ast wasm help" -f -a "wasm" -d 'Emit a .wasm file with the code generated for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from ast wasm help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from debug ast" -s h -l help -d 'Print help'
complete -c yr -n "__fish_seen_subcommand_from debug wasm" -s h -l help -d 'Print help'
complete -c yr -n "__fish_seen_subcommand_from debug help; and not __fish_seen_subcommand_from ast wasm help" -f -a "ast" -d 'Print Abstract Syntax Tree (AST) for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from debug help; and not __fish_seen_subcommand_from ast wasm help" -f -a "wasm" -d 'Emit a .wasm file with the code generated for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from debug help; and not __fish_seen_subcommand_from ast wasm help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from dump" -s o -l output-format -d 'Desired output format' -r -f -a "{json\t'',yaml\t''}"
complete -c yr -n "__fish_seen_subcommand_from dump" -s m -l module -d 'Module name' -r -f -a "{lnk\t'',macho\t'',elf\t'',pe\t'',dotnet\t''}"
complete -c yr -n "__fish_seen_subcommand_from dump" -l no-colors -d 'Turn off colors in YAML output'
complete -c yr -n "__fish_seen_subcommand_from dump" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from fmt" -s w -l write -d 'Write output to source file instead of stdout'
complete -c yr -n "__fish_seen_subcommand_from fmt" -s h -l help -d 'Print help'
complete -c yr -n "__fish_seen_subcommand_from fix; and not __fish_seen_subcommand_from encoding help" -s h -l help -d 'Print help'
complete -c yr -n "__fish_seen_subcommand_from fix; and not __fish_seen_subcommand_from encoding help" -f -a "encoding" -d 'Convert source files to UTF-8'
complete -c yr -n "__fish_seen_subcommand_from fix; and not __fish_seen_subcommand_from encoding help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from fix encoding" -s d -l max-depth -d 'Walk directories recursively up to a given depth' -r
complete -c yr -n "__fish_seen_subcommand_from fix encoding" -s f -l filter -d 'Check files that match the given pattern only' -r
complete -c yr -n "__fish_seen_subcommand_from fix encoding" -s p -l threads -d 'Use the given number of threads' -r
complete -c yr -n "__fish_seen_subcommand_from fix encoding" -s d -l dry-run -d 'Don\'t modify source files'
complete -c yr -n "__fish_seen_subcommand_from fix encoding" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from fix help; and not __fish_seen_subcommand_from encoding help" -f -a "encoding" -d 'Convert source files to UTF-8'
complete -c yr -n "__fish_seen_subcommand_from fix help; and not __fish_seen_subcommand_from encoding help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from completion" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "scan" -d 'Scan a file or directory'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "compile" -d 'Compile rules to binary form'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "check" -d 'Check if source files are syntactically correct'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "debug" -d 'Debug utilities'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "dump" -d 'Show the data produced by YARA modules for a file'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "fmt" -d 'Format YARA source files'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "fix" -d 'Utilities for fixing source code'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "completion" -d 'Output shell completion code for the specified shell'
complete -c yr -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from scan compile check debug dump fmt fix completion help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c yr -n "__fish_seen_subcommand_from help debug; and not __fish_seen_subcommand_from ast wasm" -f -a "ast" -d 'Print Abstract Syntax Tree (AST) for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from help debug; and not __fish_seen_subcommand_from ast wasm" -f -a "wasm" -d 'Emit a .wasm file with the code generated for a YARA source file'
complete -c yr -n "__fish_seen_subcommand_from help fix; and not __fish_seen_subcommand_from encoding" -f -a "encoding" -d 'Convert source files to UTF-8'
